Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity.event.authorization
Class AuthorizationFailureEvent

    java.lang.Object
      java.util.EventObject
          org.springframework.context.ApplicationEvent
              org.acegisecurity.event.authorization.AbstractAuthorizationEvent
                  org.acegisecurity.event.authorization.AuthorizationFailureEvent

All Implemented Interfaces:
  Serializable

    public class AuthorizationFailureEvent

extends AbstractAuthorizationEvent

Indicates a secure object invocation failed because the principal could not be authorized for the request.

Version:
  $Id: AuthorizationFailureEvent.java,v 1.3 2005/11/17 00:56:09 benalex Exp $
Author:
  Ben Alex
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`AuthorizationFailureEvent(Object secureObject, ConfigAttributeDefinition configAttribs, Authentication authentication, AccessDeniedException accessDeniedException)` Construct the event.

Method Summary
`AccessDeniedException` | `getAccessDeniedException()`
`Authentication` | `getAuthentication()`
`ConfigAttributeDefinition` | `getConfigAttributeDefinition()`

Methods inherited from class org.springframework.context.ApplicationEvent
`getTimestamp`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AuthorizationFailureEvent

    public AuthorizationFailureEvent(Object secureObject,
                                     ConfigAttributeDefinition configAttribs,
                                     Authentication authentication,
                                     AccessDeniedException accessDeniedException)

  Construct the event.

  Parameters:
    `secureObject` - the secure object
    `configAttribs` - that apply to the secure object
    `authentication` - that was found in the `SecurityContextHolder`
    `accessDeniedException` - that was returned by the `AccessDecisionManager`
  Throws:
    `IllegalArgumentException` - if any null arguments are presented.

Method Detail

### getAccessDeniedException

    public AccessDeniedException getAccessDeniedException()

### getAuthentication

    public Authentication getAuthentication()

### getConfigAttributeDefinition

    public ConfigAttributeDefinition getConfigAttributeDefinition()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.